from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ShadowLocation(IntEnum):
    NONE = auto()
    TOP_LEFT = auto()
    TOP_RIGHT = auto()
    BOTTOM_LEFT = auto()
    BOTTOM_RIGHT = auto()
